.table-hover>tbody>tr:not(.not-hover):hover {
  box-shadow: 0 4px 40px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  /* background-color: aliceblue; */
  position: relative;
  /* border: none !important; */
  transition: box-shadow 0.3s ease-in-out;
}

.legend_corner_div{
  position: absolute;
  left: 0px;
  top: 0px;
  height: 100%;
  transition: border-radius 0.3s ease-in-out;
}

.table-no-bordered .legend_corner_div {
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}

.table-hover>tbody>tr:not(.not-hover):hover .legend_corner_div{
  border-radius: 0px !important;
}

#table_of_content.table.table-no-bordered>thead>tr>th,
#table_of_content.table.table-no-bordered>tbody>tr>td {
  border: 0px!important;
}

#table_of_content.fixed-table-container.table-no-bordered {
  border-right: 0px !important;
}

/*From Layout */
textarea.textarea_as_input{
  min-height: 34px!important;
  resize: none !important;
}

textarea.autoheight{
  min-height: 34px!important;
  resize: none;
}

.nav-tabs-custom.highlighted > .tab-content,
.nav-tabs-custom.highlighted{
  background: #337ab736 !important;
}

/* remove padding on inputs */
.has-feedback .form-control {
  padding-right: 0px !important;
}

input[type=text]:read-only:not(.datep,.date-p),
textarea:read-only:not(.datep,.date-p)/* ,select:read-only */{
  cursor:not-allowed !important;
}

.not-allowed{
  cursor:not-allowed;
}

/*Buttons Layout */

.btn, .btn-flat {
  border-radius: 2px;
  border: 0;
  font-weight: 700 !important;
  word-spacing: 1px;
  letter-spacing: .6px;
  font-size: 11px !important;
  font-family: "Open Sans", Arial;
  text-transform: uppercase;
  box-shadow: 0 2px 1px 0 rgba(67, 69, 139, 0.15), 0 2px 5px 0 rgba(50, 50, 93, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.08), 0 0 0 0 transparent !important;
}

.btn:hover, .btn-flat:hover,.btn[class*='bg-']:hover  {
  transition: all 300ms cubic-bezier(0.42, 0, 0.58, 1);
    -webkit-box-shadow: inset 0 0 100px rgba(0, 0, 0, 0.2) !important;
    box-shadow: inset 0 0 100px rgba(0, 0, 0, 0.2) !important;
}

.btn-xs {
  font-size: 11px !important;
}

.btn i.fa.space {
  margin-right: 5px;
}

.btn:focus {
  outline: none;
}

/* default gradient backgrounds */
.modal-header {
  background-color: #11A7DB;
  background-image: linear-gradient(to right, #11A7DB 0%, #33C3DA 100%);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff11A7DB', endColorstr='#ff33C3DA', GradientType=1);
}

.modal-title {
    /* font-weight: 600;
    letter-spacing: 1px;
    font-size: 12px;
    text-transform: uppercase;
    font-family: "Open Sans"; */
    color:#ffffff;
}

.modal-header .close:active,
.modal-header .close:hover {
    background:rgba(255,255,255,.2);
    border-radius:50%;
    outline:0;
}

.modal-header .close {
    margin-top:-3px;
    font-size:24px;
    font-weight:400;
    color:#fff;
    opacity:.9;
    width:28px;
    height:28px;
    padding-bottom:0;
    padding-left:1px;
}

.btn-actions{
    border-radius: 50% !important;
    width: 30px;
    height: 30px;
    line-height: 27px;
}

.with-label {
    white-space: nowrap;
    margin-top: 25px;
}

.visibility-hidden {
  visibility: hidden;
}

.visibility-show {
  visibility: visible;
}

.dropzone{
  border:2px dashed #0087F7;
  border-radius:5px;
  background:white;
}

.dropzone .dz-preview .dz-error-message {
    /* pointer-events: none;
    z-index: 1000;
    position: absolute;
    display: block;
    display: none;
    opacity: 0;
    -webkit-transition: opacity 0.3s ease;
    -moz-transition: opacity 0.3s ease;
    -ms-transition: opacity 0.3s ease;
    -o-transition: opacity 0.3s ease;
    transition: opacity 0.3s ease;
    border-radius: 8px;
    font-size: 13px; */
    top: 144px;
    /* left: -10px;
    width: 140px;
    background: #be2626;
    background: linear-gradient(to bottom, #be2626, #a92222);
    padding: 0.5em 1.2em;
    color: white; */
}

.date-p,.datep{
  background: #ffffff!important;
}
/* to solve the problem of posistion relative of columns (for the tooltip for example) */
/* [class*='col'], */.list-group-item {
    position: static;
}

/* ON/OFF Switch
 * link: https://proto.io/freebies/onoff/
 * usage :
 *   <div class="onoffswitch">
 *     <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" id="myonoffswitch" checked>
 *     <label class="onoffswitch-label" for="myonoffswitch"></label>
 *   </div>
 */
.onoffswitch {
    position: relative; width: 50px;
    -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
}
.onoffswitch-checkbox {
    display: none;
}
.onoffswitch-label {
    display: block; overflow: hidden; cursor: pointer;
    height: 26px; padding: 0; line-height: 26px;
    border: 2px solid #E3E3E3; border-radius: 26px;
    background-color: #FFFFFF;
    transition: background-color 0.3s ease-in;
}
.onoffswitch-label:before {
    content: "";
    display: block; width: 26px; margin: 0px;
    background: #FFFFFF;
    position: absolute; top: 0; bottom: 0;
    right: 22px;
    border: 2px solid #E3E3E3; border-radius: 26px;
    transition: all 0.3s ease-in 0s;
}
.onoffswitch-checkbox:checked + .onoffswitch-label {
    background-color: #2189DE;
}
.onoffswitch-checkbox:checked + .onoffswitch-label, .onoffswitch-checkbox:checked + .onoffswitch-label:before {
   border-color: #2189DE;
}
.onoffswitch-checkbox:checked + .onoffswitch-label:before {
    right: 0px;
}

/* material version
 * link: https://bootsnipp.com/snippets/xp0QM
 * usage:
 *  <div class="material-switch">
 *      <input id="someSwitchOptionDefault" name="someSwitchOption001" type="checkbox"/>
 *      <label for="someSwitchOptionDefault" class="label-default"></label>
 *  </div>
 *
 * to switch colors : <label for="someSwitchOptionDefault" class="label-default ... primary ... success ... info ... warning ... danger"></label>
*/
.material-switch > input[type="checkbox"],
.material-switch > input[type="radio"] {
    display: none;
}

.material-switch > label {
    cursor: pointer;
    height: 0px;
    position: relative;
    /*width: 40px;*/
}

.material-switch > label::before {
    background: rgb(0, 0, 0);
    box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
    border-radius: 8px;
    content: '';
    height: 16px;
    margin-top: -8px;
    position:absolute;
    opacity: 0.3;
    transition: all 0.4s ease-in-out;
    width: 40px;
}
.material-switch > label::after {
    background: rgb(255, 255, 255);
    border-radius: 16px;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
    content: '';
    height: 24px;
    left: -4px;
    margin-top: -8px;
    position: absolute;
    top: -4px;
    transition: all 0.3s ease-in-out;
    width: 24px;
}
.material-switch > input[type="checkbox"]:checked + label::before {
    background: inherit;
    opacity: 0.5;
}
.material-switch > input[type="checkbox"]:checked + label::after {
    background: inherit;
    left: 20px;
}
.material-switch > input[type="radio"]:checked + label::before {
    background: inherit;
    opacity: 0.5;
}
.material-switch > input[type="radio"]:checked + label::after {
    background: inherit;
    left: 20px;
}

/* modal header with gradient */
.modal.modal-body-gradient .modal-body, .background-gradient{
    background-color: #012531;
    background-image: linear-gradient(to right, #00080a 0%, #33C3DA 100%);
    background-repeat: repeat-x;
  }

/* AdminLTE box with shadow */
.box-shadow{
  box-shadow:0 3px 15px rgba(0, 0, 0, 0.2);
}


.owl-carousel .owl-stage{ display: -webkit-flex; display: -ms-flexbox; display: flex; overflow: hidden;}
.owl-carousel .owl-stage .item{ flex: 1; background: #aaa; margin-right: 10px; padding: 15px;}

.owl-carousel .nav-btn{
  height: 47px;
  position: absolute;
  width: 26px;
  cursor: pointer;
  top: 100px !important;
}

.owl-carousel .owl-prev.disabled,
.owl-carousel .owl-next.disabled{
pointer-events: none;
opacity: 0.2;
}

.owl-carousel .prev-slide{
  background: url(nav-icon.png) no-repeat scroll 0 0;
  left: -33px;
}
.owl-carousel .next-slide{
  background: url(nav-icon.png) no-repeat scroll -24px 0px;
  right: -33px;
}
.owl-carousel .prev-slide:hover{
 background-position: 0px -53px;
}
.owl-carousel .next-slide:hover{
background-position: -24px -53px;
}

/* .owl-carousel .owl-nav .owl-prev,
  .owl-carousel .owl-nav .owl-next,
  .owl-carousel .owl-dot {
    font-family: 'fontAwesome';

}
.owl-carousel .owl-nav .owl-prev:before{
    content: "\f053";
    margin-right:10px;
}
.owl-carousel .owl-nav .owl-next:after{
    content: "\f054";
    margin-right:10px;
} */

/* resize rows table */
#table_of_content>tbody>tr>td, #table_of_content>tbody>tr>th {
    padding: 5px 8px !important;
}

#table_of_content>tbody>tr>td:first-child, #table_of_content>tbody>tr>th:first-child {
    padding: 5px 8px 0px 15px !important;
}

#table_of_content>tbody>tr>td > .btn-actions {
    width: 25px !important;
    height: 25px !important;
    line-height: 22px !important;
    border: 1px solid #fffffff2;
}

.login-box, .register-box {
    background: rgb(255 255 255);
}

/*.login-page,
.register-page {
  background: #4c4c4c;
}*/
.login-box,
.register-box {
  background: rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(1.19rem);
  border-radius: 12px;
  box-shadow: 0 0 10px #000;
}

.login-box-body,
.register-box-body {
  color: #fff !important;
  background: transparent;
}
/*
 * Plugin: Select2
 * ---------------
 */
.select2-container--default.select2-container--focus,
.select2-selection.select2-container--focus,
.select2-container--default:focus,
.select2-selection:focus,
.select2-container--default:active,
.select2-selection:active {
  outline: none;
}
.select2-container--default .select2-selection--single,
.select2-selection .select2-selection--single {
  border: 1px solid #d2d6de;
  border-radius: 0;
  padding: 6px 12px;
  height: 34px;
}
.select2-container--default.select2-container--open {
  border-color: #3c8dbc;
}
.select2-dropdown {
  border: 1px solid #d2d6de;
  border-radius: 0;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
  background-color: #3c8dbc;
  color: white;
}
.select2-results__option {
  padding: 6px 12px;
  user-select: none;
  -webkit-user-select: none;
}
.select2-container .select2-selection--single .select2-selection__rendered {
  padding-left: 0;
  padding-right: 0;
  height: auto;
  margin-top: -4px;
}
.select2-container[dir="rtl"] .select2-selection--single .select2-selection__rendered {
  padding-right: 6px;
  padding-left: 20px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 28px;
  right: 3px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
  margin-top: 0;
}
.select2-dropdown .select2-search__field,
.select2-search--inline .select2-search__field {
  border: 1px solid #d2d6de;
}
.select2-dropdown .select2-search__field:focus,
.select2-search--inline .select2-search__field:focus {
  outline: none;
  /* border: 1px solid #3c8dbc; */
}
.select2-container--default .select2-results__option[aria-disabled=true] {
  color: #999;
}
.select2-container--default .select2-results__option[aria-selected=true] {
  background-color: #ddd;
}
.select2-container--default .select2-results__option[aria-selected=true],
.select2-container--default .select2-results__option[aria-selected=true]:hover {
  color: #444;
}
.select2-container--default .select2-selection--multiple {
  border: 1px solid #d2d6de;
  border-radius: 0;
}
.select2-container--default .select2-selection--multiple:focus {
  border-color: #3c8dbc;
}
.select2-container--default.select2-container--focus .select2-selection--multiple {
  border-color: #d2d6de;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
  background-color: #3c8dbc;
  border-color: #367fa9;
  padding: 1px 10px;
  color: #fff;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
  margin-right: 5px;
  color: rgba(255, 255, 255, 0.7);
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
  color: #fff;
}
.select2-container .select2-selection--single .select2-selection__rendered {
  padding-right: 10px;
}

/* open on top layer */
.select2-container--open {
    z-index: 9999999
}
/* give border button on each option*/
.select2-results__option{
  border-bottom: 1px solid #dedede;
}

/********** select2multicheck ***********/
.select2-results__option .wrap:before{
    font-family:fontAwesome;
    color:#3c8dbc;
    content:"\f096";
    width:25px;
    height:25px;
    padding-right: 10px;

}

.select2-results__options_MultiCheckboxes > .select2-results__option--highlighted[aria-selected] {
    background-color: #ffffff!important;
    color: #3c8dbc!important;
}

.select2-results__options_MultiCheckboxes > .select2-results__option[aria-selected=true],
.select2-results__options_MultiCheckboxes > .select2-results__option[aria-selected=true]:hover {
    color: #3c8dbc!important;
    background-color: #fff!important;
}

.select2-results__option[aria-selected=true] .wrap:before{
    content:"\f14a";
}

/* margin for icon into main menu*/
.sidebar-menu > li > a > i,
.sidebar-menu .treeview-menu > li > a > i{
    width: 20px;
    margin-right: 10px;;
}

fieldset.field-border {
  border: 1px groove #ddd !important;
  padding: 0 1.4em 1.4em 1.4em !important;
  margin: 0 0 1.5em 0 !important;
  -webkit-box-shadow: 0px 0px 0px 0px #000;
  box-shadow: 0px 0px 0px 0px #000;
  /* margin-top: 30px !important; */
}

fieldset.field-border legend {
  font-size: 1.2em !important;
  font-weight: bold !important;
  text-align: left !important;
  width: auto;
  padding: 0 10px;
  border-bottom: none;
  margin-top: -15px;
  background-color: white;
  color: black;
}

/********** bootstrap-icheck ***********/
[class*="icheck-"]>label{
  font-weight: 700 !important;
}

[class*="icheck-"].icheck-small>label {
  padding-left: 22px !important;
  line-height: 18px;
}

[class*="icheck-"].icheck-small>input:first-child+input[type="hidden"]+label::before,
[class*="icheck-"].icheck-small>input:first-child+label::before {
  width: 18px;
  height: 18px;
  margin-left: -22px;
}

[class*="icheck-"].icheck-small>input:first-child:checked+input[type="hidden"]+label::after,
[class*="icheck-"].icheck-small>input:first-child:checked+label::after {
  top: 0px;
  width: 4px;
  height: 8px;
  left: 0px;
}

/* PULSE EFFECT */
.pulse_border {
  box-shadow: 0 0 0 0 rgb(255, 1, 1);
  /* transform: scale(1); */
  animation: pulse_border 2s infinite;
}

@keyframes pulse_border {
  0% {
    /* transform: scale(0.95); */
    box-shadow: 0 0 0 0 rgba(255, 1, 1, 0.7);
  }

  70% {
    /* transform: scale(1); */
    box-shadow: 0 0 0 20px rgba(255, 1, 1, 0);
  }

  100% {
    /* transform: scale(0.95); */
    box-shadow: 0 0 0 0 rgba(255, 1, 1, 0);
  }
}

.tooltip {
  position: fixed;
}

.img-circle {
  border-radius: 50%;
  aspect-ratio: 1;
  object-fit: cover;
  width:100%;
}

/* Rows line into textarea*/
.textarea_notes {
  background-attachment: local !important;
  background-image:
    linear-gradient(to right, white 10px, transparent 10px),
    linear-gradient(to left, white 10px, transparent 10px),
    repeating-linear-gradient(white, white 30px, #ccc 30px, #ccc 31px, white 31px) !important;
  line-height: 31px !important;
  padding: 8px 10px !important;
  border: 1px solid #dedede !important;
  background-position: 0 !important;
  background-size: auto !important;
}

.readonly_disables:read-only{
  background-color: #dedede !important;
}

.navbar-nav > .notifications-menu > .dropdown-menu > li .menu > li.notifications-item{
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #f4f4f4;
  padding:10px;
}

.navbar-nav > .notifications-menu > .dropdown-menu > li .menu > li.notifications-item:hover{
  background: #f4f4f4;
  text-decoration: none;
}

.btn-notification-action {
    display: inline-block;
    padding: 1px 5px;
    margin-bottom: 0;
    font-size: 15px;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    /*border: 1px solid #dedede;*/
    border-radius: 50%;
    width: 30px;
    height: 30px;
    line-height: 28px;
}

.already-read{
  cursor:default;
}

/* Effetti hover solo per i bottoni NON già letti */
.btn-notification-action:not(.already-read):hover,
.btn-notification-action[class*='bg-']:not(.already-read):hover {
  transition: all 300ms cubic-bezier(0.42, 0, 0.58, 1);
  background-color: rgba(0, 0, 0, 0.2) !important;
  /*border: 1px solid transparent;*/
}

/* Stato focus/hover solo per quelli non letti */
.btn-notification-action:not(.already-read).focus,
.btn-notification-action:not(.already-read):focus,
.btn-notification-action:not(.already-read):hover {
  color: #333;
  text-decoration: none;
}

.dropdown-menu-scroll {
  max-height: 557px !important;
}

li#notifications_header{
  height: 55px !important;
}

.navbar-nav > .notifications-menu > .dropdown-menu > li .menu{
  max-height: 500px !important;
}

/* RIBBON PER I BOX */

.ribbon-wrapper {
  position: absolute;
  top: 0;
  right: 0;
  overflow: hidden;
  width: 90px;
  height: 90px;
  z-index: 10;
}

.ribbon {
  position: absolute;
  display: block;
  width: 150px;
  padding: 5px 0;
  background-color: #f39c12;
  color: #fff;
  text-align: center;
  font-size: 1.2rem;
  font-weight: bold;
  transform: rotate(45deg);
  right: -50px;
  top: 15px;
  box-shadow: 0 3px 10px rgba(0, 0, 0, .3);
}

/* Varianti colore */
.ribbon.bg-red {
  background-color: #dd4b39;
}

.ribbon.bg-green {
  background-color: #00a65a;
}

.ribbon.bg-blue {
  background-color: #0073b7;
}

.ribbon.bg-yellow {
  background-color: #f39c12;
}

.ribbon.bg-purple {
  background-color: #605ca8;
}